Name: libselinux
Version: 2.0.80
Release: alt1
License: LGPL
Url: http://www.nsa.gov/selinux

Source: http://www.nsa.gov/selinux/archives/%name-%version.tgz
Patch1: alt-libselinux-asneeded.patch
Summary: %name library, which provides an interface for security-aware applications.
Group: System/Libraries

BuildRequires: libsepol-devel-static >= 2.0.36-alt1 python-dev swig

%description
SELinux shared libraries
This package provides the shared libraries for Security-enhanced
Linux. Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

%package devel
Summary: Development files for %name
Group: Development/C++
Requires: %name = %version
%description devel
SELinux development headers
This package provides the  static libraries and header files
needed for developing SELinux applications.  Security-enhanced Linux
is a patch of the Linux kernel and a number of utilities with
enhanced security functionality designed to add mandatory access
controls to Linux.  The Security-enhanced Linux kernel contains new
architectural components originally developed to improve the security
of the Flask operating system. These architectural components provide
general support for the enforcement of many kinds of mandatory access
control policies, including those based on the concepts of Type
Enforcement, Role-based Access Control, and Multi-level Security.

%package utils
Summary: This package provides utility programs to get and set process and file security contexts and to obtain security policy decisions.
Group: System/Configuration/Other
%description utils
SELinux utility programs
This package provides various utility programs for a Security-enhanced
Linux system. Security-enhanced Linux is a patch of the Linux kernel
and a number of utilities with enhanced security functionality
designed to add mandatory access controls to Linux. This package
provides utility programs to get and set process and file security
contexts and to obtain security policy decisions.

%package -n python-module-selinux
Summary: Python module for %name
Group: System/Configuration/Other
%description -n python-module-selinux
Python bindings to SELinux shared libraries
This package provides the python bindings needed for developing python 
SELinux applications.  Security-enhanced Linux is a patch of the
Linux kernel and a number of utilities with enhanced security
functionality designed to add mandatory access controls to Linux.
The Security-enhanced Linux kernel contains new architectural
components originally developed to improve the security of the Flask
operating system. These architectural components provide general
support for the enforcement of many kinds of mandatory access control
policies, including those based on the concepts of Type Enforcement,
Role-based Access Control, and Multi-level Security.

%prep
%setup
%patch1 -p1

%build
export PYTHON_VERSION=%__python_version
%make_build pywrap LIBDIR=%_libdir

%install
%make DESTDIR=%buildroot LIBDIR=%buildroot/%_libdir SHLIBDIR=%buildroot/%_lib install install-pywrap

%files
/%_lib/*.so.*
%_man8dir/*

%files devel
%_libdir/*.so
%exclude %_libdir/*.a
%_includedir/selinux
%_man3dir/*
%_man5dir/*

%files utils
%_sbindir/*

%files -n python-module-selinux
%python_sitelibdir/*

%changelog
* Thu May 07 2009 Anton Farygin <rider@altlinux.ru> 2.0.80-alt1
- new version

* Tue Jan 13 2009 Anton Farygin <rider@altlinux.ru> 2.0.77-alt1
- new version

* Mon Dec 22 2008 Anton Farygin <rider@altlinux.ru> 2.0.76-alt1
- new version

* Fri Dec 19 2008 Anton Farygin <rider@altlinux.ru> 2.0.65-alt1
- new (development) version
- specfile cleanup
- use static libsepol for build (mainstream)
- move man3 and man5 to devel package

* Sun Mar 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 1.34.15-alt1
- Initial build
